const moment = require('moment');
class CreateUser{
    constructor(uid, pwd, name, email, profile_picture, id = null, joined = null, type = null, bio = null) {
        this.id = undefined ?? id;
        this.uid = uid;
        this.pwd = pwd;
        this.joined = moment().format('YYYY-MM-DD HH:mm:ss') ?? joined;
        this.name = name;
        this.email = email;
        this.type = 1 ?? type;
        this.bio = null ?? bio;
        this.profile_picture = profile_picture;
    }

    insert(){
        var query = 'INSERT INTO users SET ?';
        pool.query(query, this, (err, result) => {
            if(err){
                return err;
            }else {
                return true;
            }
        });
    }
}

module.exports = { CreateUser };
//import mysql pool
const pool = require('../database');