const express = require('express');
const mysql = require('mysql');
const nodemailer = require('nodemailer');
const bcrypt = require('bcryptjs');
const multer = require('multer');
const moment = require('moment');
const cors = require('cors')
const app = express();

app.use(express.json());

var postsRoutes = require('./routes/posts');
app.use('/posts', postsRoutes);

app.get('/', (req, res) => {
    res.json({ status: 200, message: 'Server is running' });
});

app.listen(3100, () => {
    console.log('Server is running on port 3100');
})