function checkToken(user_id, token){
    var query = "SELECT * FROM users_tokens WHERE id = ? AND user_id = ?";
    return new Promise((resolve, reject) => {
        pool.query(query, [token, user_id], (err, results) => {
            if(err){
                resolve(false);
            }else if(!results[0]) {
                resolve(false);
            }else {
                resolve(true);
            }
        });
    });
}

function uidExistence(uid){
    var query = 'SELECT id, uid, pwd FROM users WHERE uid = ?';
    return new Promise((resolve, reject) => {
        pool.query(query, [uid], (err, results) => {
            if(err){
                resolve(false)
            }else if(!results[0]){
                resolve(false);
            }else{
                resolve(results[0]);
            }
        });
    });
}

function generateToken(id){
    var a = "01918273645qpwoeirutyalskdjfhgzmxncbv_-QPWOEIRUTYALSKDJFHGZMXNCBV".split("");
    var b = [];
    for (var i = 0; i < 16; i++) {
        var j = (Math.random() * (a.length - 1)).toFixed(0);
        b[i] = a[j];
    }
    var token = b.join("");
    return new Promise((resolve, reject) => {
        var query = 'INSERT INTO users_tokens (id, user_id) VALUES (?, ?)';
        pool.query(query, [token, id], (err, results) => {
            if(err){
                resolve(false)
            }else{
                resolve({id,token});
            }
        });
    })
}

module.exports = { checkToken,uidExistence, generateToken };

const pool = require("../database");