class Post{
    constructor(object, post_id, user_id, user_name, user_username, profile_picture, content, date, issue_id, specific_issue = null) {
        for (const key in object) {
            if (Object.hasOwnProperty.call(object, key)) {
                this[key] = object[key];
                this['comments'] = [];
                if(key == 'date'){
                    this.formatted_date = new Date(object[key]).toLocaleDateString('en-us', { year:"numeric", month:"long", day:"numeric"})
                }else if(key == 'liked'){
                    if(object[key] == null || object[key]==0){
                        this.liked = false;
                    }else {
                        this.liked = true;
                    }
                }else if(key == 'likes'){
                    if(object[key] == null){
                        this.likes = 0;
                    }
                }else if(key == 'comments_count'){
                    if(object[key] == null){
                        this.comments_count = 0;
                    }
                }
            }
        }
        /*
        this.id = post_id;
        this.user_id = user_id;
        this.user_name = user_name;
        this.user_username = user_username;
        this.profile_picture = profile_picture;
        this.date = date;
        this.content = content;
        this.issue_id = issue_id;
        this.specific_issue = specific_issue;*/
    }
}

module.exports = { Post };